curl --request GET \
--url https://int-api.mx.com/users/{user_guid}/accounts \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://int-api.mx.com/users/{user_guid}/accounts"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://int-api.mx.com/users/{user_guid}/accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"accounts": [
{
"account_number": "5366",
"account_number_set_by": 1,
"account_ownership": "INDIVIDUAL",
"annuity_policy_to_date": "2016-10-13T17:57:37.000Z",
"annuity_provider": "Metlife",
"annuity_term_year": 2048,
"apr": 1,
"apr_set_by": 1,
"apy": 1,
"apy_set_by": 1,
"available_balance": 1000,
"available_balance_set_by": 1,
"available_credit": 1000,
"available_credit_set_by": 1,
"balance": 10000,
"balance_set_by": 1,
"calculated_apr": 21.66409,
"cash_balance": 1000,
"cash_balance_set_by": 1,
"cash_surrender_value": 1000,
"cash_surrender_value_set_by": 1,
"created_at": "2023-07-25T17:14:46Z",
"credit_limit": 100,
"credit_limit_set_by": 1,
"currency_code": "USD",
"currency_code_set_by": 1,
"day_payment_is_due": 20,
"day_payment_is_due_set_by": 1,
"death_benefit": 1000,
"death_benefit_set_by": 1,
"federal_insurance_status": "INSURED",
"feed_account_number": "5366",
"feed_account_subtype": 1,
"feed_account_type": 1,
"feed_apr": 1,
"feed_apy": 1,
"feed_available_balance": 1000,
"feed_balance": 1000,
"feed_cash_balance": 1000,
"feed_cash_surrender_value": 1000,
"feed_credit_limit": 100,
"feed_currency_code": "USD",
"feed_day_payment_is_due": 20,
"feed_death_benefit": 1000,
"feed_holdings_value": 1000,
"feed_interest_rate": 1,
"feed_is_closed": false,
"feed_last_payment": 100,
"feed_last_payment_at": "2023-07-25T17:14:46Z",
"feed_loan_amount": 1000,
"feed_matures_on": "2015-10-13T17:57:37.000Z",
"feed_minimum_balance": 100,
"feed_minimum_payment": 10,
"feed_name": "Test account 2",
"feed_nickname": "My Checking",
"feed_original_balance": 10,
"feed_payment_due_at": "2025-02-13T17:57:37.000Z",
"feed_payoff_balance": 10,
"feed_routing_number": "68899990000000",
"feed_started_on": "2020-10-13T17:57:37.000Z",
"feed_statement_balance": 100,
"feed_total_account_value": 100,
"guid": "ACT-06d7f44b-caae-0f6e-1384-01f52e75dcb1",
"holdings_value": 1000,
"holdings_value_set_by": 1,
"id": "1040434698",
"imported_at": "2015-10-13T17:57:37.000Z",
"institution_code": "3af3685e-05d9-7060-359f-008d0755e993",
"institution_guid": "INS-12a3b-4c5dd6-1349-008d0755e993",
"insured_name": "Tommy Shelby",
"interest_rate": 1,
"interest_rate_set_by": 1,
"is_closed": false,
"is_closed_set_by": 1,
"is_hidden": false,
"is_manual": false,
"last_payment": 100,
"last_payment_set_by": 1,
"last_payment_at": "2023-07-25T17:14:46Z",
"last_payment_at_set_by": 1,
"loan_amount": 1000,
"loan_amount_set_by": 1,
"margin_balance": 1000,
"matures_on": "2015-10-13T17:57:37.000Z",
"matures_on_set_by": 1,
"member_guid": "MBR-7c6f361b-e582-15b6-60c0-358f12466b4b",
"member_id": "member123",
"member_is_managed_by_user": false,
"metadata": "some metadata",
"minimum_balance": 100,
"minimum_balance_set_by": 1,
"minimum_payment": 10,
"minimum_payment_set_by": 1,
"name": "Test account 2",
"name_set_by": 1,
"nickname": "My Checking",
"nickname_set_by": 1,
"original_balance": 10,
"original_balance_set_by": 1,
"pay_out_amount": 10,
"payment_due_at": "2015-10-13T17:57:37.000Z",
"payment_due_at_set_by": 1,
"payoff_balance": 10,
"payoff_balance_set_by": 1,
"premium_amount": 3900,
"property_type": "VEHICLE",
"routing_number": "68899990000000",
"started_on": "2015-10-13T17:57:37.000Z",
"started_on_set_by": 1,
"statement_balance": 1000.5,
"statement_balance_set_by": 1,
"subtype": "NONE",
"subtype_set_by": 1,
"today_ugl_amount": 1000.5,
"today_ugl_percentage": 6.9,
"total_account_value": 1,
"total_account_value_set_by": 1,
"total_account_value_ugl": 1,
"type": "SAVINGS",
"type_set_by": 1,
"updated_at": "2016-10-13T18:08:00.000Z",
"user_guid": "USR-fa7537f3-48aa-a683-a02a-b18940482f54",
"user_id": "user123"
}
],
"pagination": {
"current_page": 1,
"per_page": 25,
"total_entries": 1,
"total_pages": 1
}
}List accounts
This endpoint returns a list of all the accounts associated with the specified user.
This request will not return the full account number. It may return the last four digits of the account number if that information has been provided during aggregation. If you need the full account number, please refer to List account numbers by member or List account numbers by account.
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The unique identifier for a user, beginning with the prefix USR-.
Query Parameters
Results are paginated. Specify current page.
List only accounts whose member is managed by the user.
List only accounts that were manually created.
This specifies the number of records to be returned on each page. Defaults to 25. The valid range is from 10 to 1000. If the value exceeds 1000, the default value of 25 will be used instead.
The use case associated with the member. Valid values are PFM and MONEY_MOVEMENT. For example, you can append either ?use_case=PFM or ?use_case=MONEY_MOVEMENT.
Response
OK
Hide child attributes
Hide child attributes
"5366"
1
"INDIVIDUAL"
"2016-10-13T17:57:37.000Z"
"Metlife"
2048
1
1
1
1
1000
1
1000
1
10000
1
21.66409
1000
1
1000
1
"2023-07-25T17:14:46Z"
100
1
"USD"
1
20
1
1000
1
"INSURED"
"5366"
1
1
1
1
1000
1000
1000
1000
100
"USD"
20
1000
1000
1
false
100
"2023-07-25T17:14:46Z"
1000
"2015-10-13T17:57:37.000Z"
100
10
"Test account 2"
"My Checking"
10
"2025-02-13T17:57:37.000Z"
10
"68899990000000"
"2020-10-13T17:57:37.000Z"
100
100
"ACT-06d7f44b-caae-0f6e-1384-01f52e75dcb1"
1000
1
"1040434698"
"2015-10-13T17:57:37.000Z"
"3af3685e-05d9-7060-359f-008d0755e993"
"INS-12a3b-4c5dd6-1349-008d0755e993"
"Tommy Shelby"
1
1
false
1
false
false
100
1
"2023-07-25T17:14:46Z"
1
1000
1
1000
"2015-10-13T17:57:37.000Z"
1
"MBR-7c6f361b-e582-15b6-60c0-358f12466b4b"
"member123"
false
"some metadata"
100
1
10
1
"Test account 2"
1
"My Checking"
1
10
1
10
"2015-10-13T17:57:37.000Z"
1
10
1
3900
"VEHICLE"
"68899990000000"
"2015-10-13T17:57:37.000Z"
1
1000.5
1
"NONE"
1
1000.5
6.9
1
1
1
"SAVINGS"
1
"2016-10-13T18:08:00.000Z"
"USR-fa7537f3-48aa-a683-a02a-b18940482f54"
"user123"

